View Issue Details

IDProjectCategoryView StatusLast Update
0004447Slicer4Core: Segmentationpublic2017-10-18 05:06
ReporterDavideAssigned Topinter 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version17.10
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.7.0Fixed in Version 
Summary0004447: Crash Segmentation Editor QT5/VTK8
Description

Hi, I got a crush when hitting any of the Segmentation editor effects buttons to enter and open the GUI for the specific effect.
Slicer built locally with QT5 and VTK8.
Did anyone experienced it as well?

TagsNo tags attached.

Activities

lassoan

lassoan

2017-10-02 09:24

developer   ~0015226

It's been reported here, too: https://discourse.slicer.org/t/qt5-build-a-few-hiccups/952/4

I won't have time to work on this before the new stable version is released (in a couple of weeks), but it would be great if someone else could have a look before then.

Davide

Davide

2017-10-02 09:44

developer   ~0015227

Ok, perfect. I didn't see the post in discourse. I have also a couple of busy weeks, not sure that I have the time to check it before you.

pinter

pinter

2017-10-02 10:19

developer   ~0015228

I'll take a look once I'm back in Canada

Davide

Davide

2017-10-02 13:28

developer   ~0015230

perfect, thanks Csaba.

pinter

pinter

2017-10-11 14:48

developer   ~0015289

Last edited: 2017-10-11 14:48

View 2 revisions

It took me a while to build Slicer with Qt5 and VTK8 on Windows, and the crash does not occur like this:

  1. Load MRHead
  2. Open Segment Editor
  3. Add segment
  4. Click Paint

I played around and Segment Editor seems to work fine.

Did you reproduce it differently? If the latest trunk yields a crash for you doing these steps on Linux, then I'll need to build it on Linux too.

Davide

Davide

2017-10-12 05:31

developer   ~0015290

Hi Csaba, thanks for testing on windows. It seems a bug on linux/Qt5 build. I made a pull request with a simple fix:
https://github.com/Slicer/Slicer/pull/811

May you check it and in case merge it?

Davide

Davide

2017-10-12 05:33

developer   ~0015291

For reference, the bug was report for ArchLinux as well:
https://discourse.slicer.org/t/qt5-build-a-few-hiccups/952

pinter

pinter

2017-10-12 09:39

developer   ~0015292

Excellent, thanks for the fix, Davide! It makes complete sense and it's otherwise harmless so I'll simply integrate it.

pinter

pinter

2017-10-12 10:02

developer   ~0015293

Integrated Davide's fix in https://github.com/Slicer/Slicer/commit/7de0d6a6e71694ac808a2e73da3fd3c3300f708c

Closing the issue, as the fix comes from the reporter.

Issue History

Date Modified Username Field Change
2017-10-02 09:20 Davide New Issue
2017-10-02 09:20 Davide Status new => assigned
2017-10-02 09:20 Davide Assigned To => lassoan
2017-10-02 09:22 lassoan Summary Crush Segmentation Editor QT5/VTK8 => Crash Segmentation Editor QT5/VTK8
2017-10-02 09:24 lassoan Note Added: 0015226
2017-10-02 09:24 lassoan Product Version Slicer 4.7.0 => Slicer 4.9.0
2017-10-02 09:24 lassoan Target Version => Slicer 4.9.0
2017-10-02 09:44 Davide Note Added: 0015227
2017-10-02 10:19 pinter Note Added: 0015228
2017-10-02 13:28 Davide Note Added: 0015230
2017-10-11 14:48 pinter Note Added: 0015289
2017-10-11 14:48 pinter Note Edited: 0015289 View Revisions
2017-10-12 05:31 Davide Note Added: 0015290
2017-10-12 05:33 Davide Note Added: 0015291
2017-10-12 09:39 pinter Note Added: 0015292
2017-10-12 10:02 pinter Status assigned => closed
2017-10-12 10:02 pinter Resolution open => fixed
2017-10-12 10:02 pinter Note Added: 0015293
2017-10-12 10:02 pinter Assigned To lassoan => pinter
2017-10-12 10:02 pinter Target Version Slicer 4.9.0 => Slicer 4.8.0
2017-10-18 05:06 jcfr Product Version Slicer 4.9.0 => Slicer 4.7.0
2017-10-18 05:06 jcfr Target Version Slicer 4.8.0 => Slicer 4.7.0